'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var MERGE_STATE = exports.MERGE_STATE = '@@resolve/READ_MODEL_STATE_MERGE';
var SEND_COMMAND = exports.SEND_COMMAND = '@@resolve/SEND_COMMAND';
var SET_SUBSCRIPTION = exports.SET_SUBSCRIPTION = '@@resolve/SET_SUBSCRIPTION';
var REPLACE_STATE = exports.REPLACE_STATE = '@@resolve/REPLACE_STATE';

function mergeState(readModelName, state) {
    return {
        type: MERGE_STATE,
        readModelName: readModelName,
        state: state
    };
}

function sendCommand(_ref) {
    var command = _ref.command,
        aggregateId = _ref.aggregateId,
        aggregateName = _ref.aggregateName,
        payload = _ref.payload;

    return {
        type: SEND_COMMAND,
        command: command,
        aggregateId: aggregateId,
        aggregateName: aggregateName,
        payload: payload
    };
}

function setSubscription(eventTypes, aggregateIds) {
    return {
        type: SET_SUBSCRIPTION,
        types: eventTypes,
        ids: aggregateIds
    };
}

function replaceState(readModelName, state) {
    return {
        type: REPLACE_STATE,
        readModelName: readModelName,
        state: state
    };
}

exports.default = {
    mergeState: mergeState,
    sendCommand: sendCommand,
    setSubscription: setSubscription,
    replaceState: replaceState
};